require "import";
import "android.content.Context"
import "android.net.ConnectivityManager"

-- Obtain ConnectivityManager service
local connectivityManager = service.getSystemService(Context.CONNECTIVITY_SERVICE)

-- Get network info
local networkInfo = connectivityManager.getActiveNetworkInfo()

-- Check if device is connected to a network
if networkInfo and networkInfo.isConnected() then
    -- Speak a message indicating network connectivity
    service.speak("Device is connected to a network.")
else
    -- Speak a message indicating no network connectivity
    service.speak("Device is not connected to a network.")
end

-- Return true to indicate the function executed successfully
return true
